#!/bin/sh

{ # try
    #mkdir modules
	cd modules
	rm -rf ./login
    git clone git@gitlab.teknisa.com:teknisa/login-next.git login
    cd login
    git checkout PROD_6138_1.5.3
    cd backend 
    PATTERN_TO_FIND="git@192\.168\.122\.56\:teknisa\/libbackend.git"
    SOMETHING_TO_REPLACE="git@gitlab\.teknisa\.com\:teknisa\/libbackend.git"
    sed -i "s|$PATTERN_TO_FIND|$SOMETHING_TO_REPLACE|g" composer.json
    composer update
    cd ../frontend && npm install --cache /tmp/empty-cache
    grunt buildEnvironment:test
    cp ./src/config/prodEnvironment.json ./src/config/devEnvironment.json
    npm run build
	#cp -R /var/www/equipe_teste/zeedhi/test_products/login-next login
} || { # catch
    echo 'Modules Error -------------------------------------------------------'
    exit 1
}

